
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/stock/stockInfoDetail.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "库存信息明细",
      name: "stockInfoDetail",
      url: "/StockInfoDetail/",
      sortName: "id",
    });
    const editFormFields = ref({
      deviceCode: "",
      deviceName: "",
      deviceType: "",
      deviceStatus: "",
      deviceIp: "",
      devicePort: "",
      devicePlcType: "",
      deviceRemark: "",
    });
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      orderNo: "",
      batchNo: "",
      status: "",
    });
    const searchFormOptions = ref([
      [
        {
          title: "物料编号",
          field: "materielCode",
          type: "select",
          dataKey: "StockMaterielCodes",
          data: [],
        },
        {
          title: "托盘号",
          field: "stockId",
          type: "select",
          dataKey: "palletCodes",
          data: [],
        },
      ],
      [
        // { title: "批次号", field: "batchNo" },
        {
          title: "批号",
          field: "orderNo",
          type: "select",
          dataKey: "StockbatchNos",
          data: [],
        },
        {
          title: "柜号",
          field: "batchNo",
          type: "like",
        },
        // {
        //   title: "库存明细状态",
        //   field: "status",
        //   type: "select",
        //   dataKey: "stockStatusEmun",
        //   data: [],
        // },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "stockId",
        title: "托盘号",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "palletCodes", data: [] },
      },
      {
        field: "materielCode",
        title: "物料编号",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "materielName",
        title: "物料名称",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "orderNo",
        title: "批号",
        type: "decimal",
        width: 90,
        align: "left",
      },
      {
        field: "batchNo",
        title: "柜号",
        type: "string",
        width: 90,
        align: "left",
      },
      // {
      //   field: "serialNumber",
      //   title: "序列号",
      //   type: "int",
      //   width: 120,
      //   align: "left",
      // },
      // {
      //   field: "stockQuantity",
      //   title: "库存数量",
      //   type: "string",
      //   width: 200,
      //   align: "left",
      // },
      // {
      //   field: "outboundQuantity",
      //   title: "出库数量",
      //   type: "string",
      //   width: 180,
      //   align: "left",
      // },
      // {
      //   field: "status",
      //   title: "库存明细状态",
      //   type: "string",
      //   width: 120,
      //   align: "left",
      //   bind: { key: "stockStatusEmun", data: [] },
      // },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    